Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.persistence
Class Persistence

    java.lang.Object
      javax.persistence.Persistence

    public class Persistence

extends java.lang.Object

Bootstrap class that is used to obtain an `EntityManagerFactory` in Java SE environments.

The `Persistence` class is available in a Java EE container environment as well; however, support for the Java SE bootstrapping APIs is not required in container environments.

The `Persistence` class is used to obtain a `PersistenceUtil` instance in both Java EE and Java SE environments.

Since:
  Java Persistence 1.0

Field Summary
`static java.lang.String` | `PERSISTENCE_PROVIDER` Deprecated.

Constructor Summary
`Persistence()`

Method Summary
`static EntityManagerFactory` | `createEntityManagerFactory(java.lang.String persistenceUnitName)` Create and return an EntityManagerFactory for the named persistence unit.
`static EntityManagerFactory` | `createEntityManagerFactory(java.lang.String persistenceUnitName, java.util.Map properties)` Create and return an EntityManagerFactory for the named persistence unit using the given properties.
`static PersistenceUtil` | `getPersistenceUtil()` Return the PersistenceUtil instance

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PERSISTENCE_PROVIDER

    @Deprecated
    public static final java.lang.String PERSISTENCE_PROVIDER

  Deprecated.
  This final String is deprecated and should be removed and is only here for TCK backward compatibility

  Since:
    Java Persistence 1.0
  See Also:
    Constant Field Values

Constructor Detail

### Persistence

    public Persistence()

Method Detail

### createEntityManagerFactory

    public static EntityManagerFactory createEntityManagerFactory(java.lang.String persistenceUnitName)

  Create and return an EntityManagerFactory for the named persistence unit.

  Parameters:
    `persistenceUnitName` - the name of the persistence unit
  Returns:
    the factory that creates EntityManagers configured according to the specified persistence unit

### createEntityManagerFactory

    public static EntityManagerFactory createEntityManagerFactory(java.lang.String persistenceUnitName,
                                                                  java.util.Map properties)

  Create and return an EntityManagerFactory for the named persistence unit using the given properties.

  Parameters:
    `persistenceUnitName` - the name of the persistence unit
    `properties` - Additional properties to use when creating the factory. The values of these properties override any values that may have been configured elsewhere.
  Returns:
    the factory that creates EntityManagers configured according to the specified persistence unit.

### getPersistenceUtil

    public static PersistenceUtil getPersistenceUtil()

  Return the PersistenceUtil instance

  Returns:
    PersistenceUtil instance
  Since:
    Java Persistence 2.0

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD